
Ruby - Bug #21345

crash on evaluating 'a=>a,*,'

05/16/2025 04:19 PM - masterleep2 (Bill Lipa)

Status: Assigned   

Priority: Normal   

Assignee: prism   

Target version:    

ruby -v: ruby 3.4.3 (2025-04-14 revision

d0b7e5b6a0) +PRISM [arm64-darwin24]

Backport: 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4:

UNKNOWN

Description

ruby -e 'a=>a,*,'

-e: [BUG] Unexpected node type in pattern matching expression: PM_IMPLICIT_REST_NODE

ruby 3.4.3 (2025-04-14 revision d0b7e5b6a0) +PRISM [arm64-darwin24]

-- Crash Report log information --------------------------------------------

   See Crash Report log file in one of the following locations:             

     * ~/Library/Logs/DiagnosticReports                                     

     * /Library/Logs/DiagnosticReports                                      

   for more details.                                                        

Don't forget to include the above Crash Report log file in bug reports.     

-- Control frame information -----------------------------------------------

c:0001 p:0000 s:0003 E:0001f0 DUMMY  [FINISH]

-- Threading information ---------------------------------------------------

Total ractor count: 1

Ruby thread count for this ractor: 1

-- C level backtrace information -------------------------------------------

/opt/local/lib/libruby.3.4.dylib(rb_vm_bugreport+0xb6c) [0x104cbcfdc]

/opt/local/lib/libruby.3.4.dylib(rb_bug_without_die_internal+0xfc) [0x104afa12c]

/opt/local/lib/libruby.3.4.dylib(rb_bug+0x1c) [0x104e07970]

/opt/local/lib/libruby.3.4.dylib(pm_compile_pattern.cold.2+0x0) [0x104e0750c]

/opt/local/lib/libruby.3.4.dylib(pm_compile_pattern+0x42a8) [0x104abd78c]

/opt/local/lib/libruby.3.4.dylib(pm_compile_pattern+0x3f90) [0x104abd474]

/opt/local/lib/libruby.3.4.dylib(pm_compile_match_required_node+0x3b4) [0x104abdb54]

/opt/local/lib/libruby.3.4.dylib(pm_compile_node+0x1670) [0x104a8659c]

/opt/local/lib/libruby.3.4.dylib(pm_compile_scope_node+0x1c34) [0x104ac2018]

/opt/local/lib/libruby.3.4.dylib(pm_iseq_compile_node+0x84) [0x104a84e60]

/opt/local/lib/libruby.3.4.dylib(pm_iseq_new_with_opt_try+0x1c) [0x104b5cbc8]

/opt/local/lib/libruby.3.4.dylib(rb_protect+0xbc) [0x104b060cc]

/opt/local/lib/libruby.3.4.dylib(pm_iseq_new_with_opt+0x14c) [0x104b5c034]

/opt/local/lib/libruby.3.4.dylib(pm_iseq_new_main+0xc4) [0x104b5c23c]

/opt/local/lib/libruby.3.4.dylib(ruby_process_options+0x16a4) [0x104c12a30]

/opt/local/lib/libruby.3.4.dylib(ruby_options+0xb0) [0x104b04b04]

/opt/local/bin/ruby3.4(main+0x64) [0x1041eff20]

History

#1 - 05/16/2025 06:47 PM - ufuk (Ufuk Kayserilioglu)

- Assignee set to prism

This is most probably a Prism bug, since it seems to work fine with parse.y as the parser:

$ ruby --parser parse.y -ve 'a=>a,*,'

ruby 3.4.4 (2025-05-14 revision a38531fd3f) [arm64-darwin24]

-e:1: syntax error, unexpected end-of-input

a=>a,*,

       ^
ruby: compile error (SyntaxError)

 whereas:

$ ruby --parser prism -ve 'a=>a,*,'

-e: [BUG] Unexpected node type in pattern matching expression: PM_IMPLICIT_REST_NODE

ruby 3.4.4 (2025-05-14 revision a38531fd3f) +PRISM [arm64-darwin24]

-- Crash Report log information --------------------------------------------

   See Crash Report log file in one of the following locations:

     * ~/Library/Logs/DiagnosticReports

     * /Library/Logs/DiagnosticReports

   for more details.

Don't forget to include the above Crash Report log file in bug reports.

-- Control frame information -----------------------------------------------

c:0001 p:0000 s:0003 E:000840 DUMMY  [FINISH]

-- Threading information ---------------------------------------------------

Total ractor count: 1

Ruby thread count for this ractor: 1

-- C level backtrace information -------------------------------------------

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(rb_vm_bugreport+0xb6c) [0x10515fd

00]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(rb_bug_without_die_internal+0xfc)

 [0x104f81100]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(rb_bug+0x1c) [0x1052afbe4]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_compile_pattern+0x31fc) [0x104

f43d4c]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_compile_pattern+0x2eac) [0x104

f439fc]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_compile_match_required_node+0x

198) [0x104f43f00]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_compile_node+0x1670) [0x104f11

fa4]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_compile_scope_node+0x1bc8) [0x

104f47e3c]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_iseq_compile_node+0x84) [0x104

f10850]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_iseq_new_with_opt_try+0x1c) [0

x104fe97a0]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(rb_protect+0xc0) [0x104f8d974]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_iseq_new_with_opt+0x14c) [0x10

4fe8acc]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(pm_iseq_new_main+0xc4) [0x104fe8d

1c]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(ruby_process_options+0x179c) [0x1

050adfd8]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib(ruby_options+0x9c) [0x104f8c2c8]

/nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby(main+0x64) [0x1044bfec4]

-- Other runtime information -----------------------------------------------

* Loaded script: -e

* Loaded features:

    0 enumerator.so

    1 thread.rb

    2 fiber.so

    3 rational.so

    4 complex.so

    5 ruby2_keywords.rb

    6 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/enc/encdb.bundle

    7 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/enc/trans/transdb.b

undle

    8 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/rbconfig.rb

    9 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/compatibility.rb

   10 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/defaults.rb

   11 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/deprecate.rb

   12 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/errors.rb

   13 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/target_rbconfig.rb

   14 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/unknown_command_spell_che
cker.rb

   15 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/exceptions.rb

   16 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/basic_specification.rb

   17 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/stub_specification.rb

   18 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/platform.rb

   19 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/specification_record.rb

   20 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/util/list.rb

   21 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/version.rb

   22 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/requirement.rb

   23 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/specification.rb

   24 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/util.rb

   25 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/dependency.rb

   26 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/core_ext/kernel_gem.rb

   27 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/monitor.bundle

   28 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/monitor.rb

   29 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems.rb

   30 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/bundled_gems.rb

   31 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/rubygems/path_support.rb

   32 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/error_highlight/version.rb

   33 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/error_highlight/base.rb

   34 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/error_highlight/formatter.rb

   35 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/error_highlight/core_ext.rb

   36 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/error_highlight.rb

   37 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/version.rb

   38 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/core_ext/name_error.r

b

   39 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/levenshtein.rb

   40 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/jaro_winkler.rb

   41 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checker.rb

   42 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/name_e

rror_checkers/class_name_checker.rb

   43 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/name_e

rror_checkers/variable_name_checker.rb

   44 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/name_e

rror_checkers.rb

   45 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/method

_name_checker.rb

   46 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/key_er

ror_checker.rb

   47 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/null_c

hecker.rb

   48 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/tree_spell_checker.rb

   49 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/requir

e_path_checker.rb

   50 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/spell_checkers/patter

n_key_name_checker.rb

   51 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean/formatter.rb

   52 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/did_you_mean.rb

   53 /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/syntax_suggest/core_ext.rb

* Process memory map:

1044bc000-1044c0000 r-x /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044c0000-1044c4000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044c4000-1044c8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044c8000-1044cc000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044cc000-1044d4000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044d4000-1044dc000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044dc000-1044e0000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044e0000-1044e4000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044e4000-1044e8000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044e8000-1044f0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044f0000-1044f4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044f4000-1044f8000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

1044f8000-104500000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104500000-104504000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104504000-104508000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104508000-104510000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104510000-104514000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104514000-104518000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104518000-10451c000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

10451c000-104520000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104520000-104524000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104530000-104540000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby

104540000-104550000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/bin/ruby
104550000-104560000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/encdb.bundle

104560000-104564000 r-x /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/encdb.bundle

104564000-104568000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/encdb.bundle

104568000-10456c000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/encdb.bundle

10456c000-104570000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/encdb.bundle

104570000-104580000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/trans/transdb.bundle

104580000-104584000 r-x /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/trans/transdb.bundle

104584000-104588000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/trans/transdb.bundle

104588000-10458c000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/trans/transdb.bundle

10458c000-104590000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/e

nc/trans/transdb.bundle

104590000-1045a0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/m

onitor.bundle

1045a0000-1045a4000 r-x /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/m

onitor.bundle

1045a4000-1045a8000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/m

onitor.bundle

1045a8000-1045ac000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/m

onitor.bundle

1045ac000-1045b0000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/ruby/3.4.0/arm64-darwin24/m

onitor.bundle

1045b0000-1045c0000 rw- /usr/lib/dyld

1045d0000-1045e0000 rw- /usr/lib/dyld

1045f0000-104600000 rw- /usr/lib/dyld

104610000-104620000 rw- /usr/lib/dyld

104630000-104640000 rw- /usr/lib/dyld

104650000-104660000 rw- /usr/lib/dyld

104670000-104680000 rw- /usr/lib/dyld

104690000-1046a0000 rw- /usr/lib/dyld

1046b0000-1046c0000 rw- /usr/lib/dyld

1046d0000-1046e0000 rw- /usr/lib/dyld

1046f0000-104700000 rw- /usr/lib/dyld

104710000-104720000 rw- /usr/lib/dyld

104730000-104740000 rw- /usr/lib/dyld

104750000-104760000 rw- /usr/lib/dyld

104770000-104780000 rw- /usr/lib/dyld

104780000-104790000 rw- /usr/lib/dyld

1047a0000-1047b0000 rw- /usr/lib/dyld

1047c0000-1047d0000 rw- /usr/lib/dyld

1047e4000-104844000 --- /usr/lib/dyld

104850000-104860000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

104870000-104880000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

104890000-1048a0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

1048b0000-1048c0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

1048d0000-1048e0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

1048f0000-104900000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

104910000-104920000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

104ed0000-1053d4000 r-x /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

1053d4000-1053f0000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

1053f0000-1053f4000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

1053f4000-105408000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

105408000-105570000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

105570000-106970000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

106970000-10e970000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

10e970000-116970000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

116970000-11e970000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11e970000-11e974000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11e974000-11ea18000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ea18000-11ea1c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ea1c000-11eac0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11eac0000-11eac4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11eac4000-11eb68000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11eb68000-11eb6c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11eb6c000-11ec10000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ec10000-11ec14000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ec14000-11ecb8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib
11ecb8000-11ecbc000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ecbc000-11ed60000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ed60000-11ed64000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ed64000-11ee08000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ee08000-11ee0c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ee0c000-11eeb0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11eeb0000-11eeb4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11eeb4000-11ef58000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ef58000-11ef5c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ef5c000-11f000000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f000000-11f004000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f004000-11f0a8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f0a8000-11f0ac000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f0ac000-11f150000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f150000-11f154000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f154000-11f1f8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f1f8000-11f1fc000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f1fc000-11f2a0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f2a0000-11f2a4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f2a4000-11f348000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f348000-11f34c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f34c000-11f3f0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f3f0000-11f3f4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f3f4000-11f498000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f498000-11f49c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f49c000-11f540000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f540000-11f544000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f544000-11f5e8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f5e8000-11f5ec000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f5ec000-11f690000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f690000-11f694000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f694000-11f738000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f738000-11f73c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f73c000-11f7e0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f7e0000-11f7e4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f7e4000-11f888000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f888000-11f88c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f88c000-11f930000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f930000-11f934000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f934000-11f9d8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f9d8000-11f9dc000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11f9dc000-11fa80000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fa80000-11fa84000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fa84000-11fb28000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fb28000-11fb2c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fb2c000-11fbd0000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fbd0000-11fbd4000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fbd4000-11fc78000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fc78000-11fc7c000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fc7c000-11fd20000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fd20000-11fd24000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fd24000-11fdc8000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fdc8000-11fdcc000 --- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11fdcc000-11fe70000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

11ff00000-120000000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

120000000-128000000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

128000000-128800000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

128800000-128900000 rw- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

128900000-128f8c000 r-- /nix/store/x60hhxmn5cmwxqbmmnlxpjykfjmwy0v7-ruby-3.4.4/lib/libruby.3.4.dylib

129000000-129800000 rw-

12de00000-12df00000 rw-

12df00000-12e000000 rw-

12e000000-12e800000 rw-

12e800000-12f000000 rw-

12f000000-12f800000 rw-

12f800000-12f900000 rw-

130000000-138000000 rw-

138000000-140000000 rw-

140000000-148000000 rw-

167944000-16b148000 ---

16b148000-16b944000 rw-

16b944000-16b948000 ---

16b948000-16b9d0000 rw-

180000000-1fc000000 r--

1fc000000-1fcbe4000 r--
1fcbe4000-1fcc04000 rw-

1fcc04000-1fcc08000 r--

1fcc08000-1fe000000 rw-

1fe000000-1ff2b0000 r--

1ff2b0000-1ff2d4000 r--

1ff2d4000-2004e8000 rw-

2004e8000-208218000 r--

208218000-20a000000 r--

20a000000-290000000 r--

290000000-290e50000 rw-

290e50000-291ba4000 rw-

291ba4000-29608c000 r--

29608c000-298000000 r--

298000000-300000000 r--

fc0000000-1000000000 ---

1000000000-7000000000 ---

600000000000-600020000000 rw-

[IMPORTANT]

Don't forget to include the Crash Report log file under

DiagnosticReports directory in bug reports.

#2 - 05/19/2025 09:16 AM - Earlopain (Earlopain _)

Potential fix https://github.com/ruby/prism/pull/3564

#3 - 05/28/2025 05:07 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

Files

crash.txt 14.1 KB 05/16/2025 masterleep2 (Bill Lipa)
